%define module   rtl8192eu
%define revision 11320
%define date     20140505

Name:            dkms-%{module}
Version:         4.3.1.1_%{revision}.%{date}
Release:         %mkrel 3

Summary:         dkms package for %{module} driver
License:         GPLv2
Group:           System/Kernel and hardware
Source0:         rtl8192EU_linux_v%{version}.tar.gz
Source1:         readme.txt
Source2:         dkms.conf
Patch0:          rtl8192eu-k3.13.patch
URL:             http://www.realtek.com
BuildArch:       noarch
Requires(post):  dkms
Requires(preun): dkms

%description
Realtek RTL8192EU Linux wireless driver source
 This package contains Realtek RTL8192EU USB Linux wireless driver
 for use with Realtek RTL8192EU hardware.

%prep
%setup -q -n rtl8192EU_linux_v%{version}
%patch0

%install
mkdir -p %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/
cp -R * %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/

# Installing the documentation
mkdir -p %{buildroot}%{_defaultdocdir}/%{module}/
install -m644 %{SOURCE1} -D %{buildroot}%{_defaultdocdir}/%{module}/readme.txt
install -m644 %{SOURCE2} -D %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf

%files
%dir %{_usrsrc}/%{module}-%{version}-%{release}
%{_usrsrc}/%{module}-%{version}-%{release}/core/*
%{_usrsrc}/%{module}-%{version}-%{release}/hal/*
%{_usrsrc}/%{module}-%{version}-%{release}/include/*
%{_usrsrc}/%{module}-%{version}-%{release}/os_dep/*
%{_usrsrc}/%{module}-%{version}-%{release}/platform/*
%{_usrsrc}/%{module}-%{version}-%{release}/Kconfig
%{_usrsrc}/%{module}-%{version}-%{release}/Makefile
%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf
%{_usrsrc}/%{module}-%{version}-%{release}/ifcfg-wlan0
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/clean
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/runwpa
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/wlan0dhcp
%{_defaultdocdir}/%{module}/*

%post -n dkms-%{module}
%{_sbindir}/dkms add -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms build -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms install -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
exit 0

%preun -n dkms-%{module}
%{_sbindir}/dkms remove -m %{module} -v %{version}-%{release} --rpm_safe_upgrade --all
exit 0



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 4.3.1.1_11320.20140505-3.mga6
+ Revision: 972457
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 philippem <philippem> 4.3.1.1_11320.20140505-2.mga6
+ Revision: 897996
- imported package dkms-rtl8192eu


* Sat May 30 2015 Philippe Makowski <philippem@mageia.org>
- Use full version string
- Clean spec

* Fri May 22 2015 Philippe Makowski <philippem@mageia.org>
- First Mageia version

* Mon Nov 10 2014 Maurizio Dal Magro <info@laptopke.be>
- Added "%%dir /usr/src/%%{module}-%%{version}-%%{release}" to remove during deinstallation.

* Sun Nov 9 2014 Maurizio Dal Magro <info@laptopke.be>
- Fix DKMS vermagic issue

* Sun Nov 2 2014 Maurizio Dal Magro <info@laptopke.be>
- First built
